<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerRequiredHackingLevel](./bitburner.ns.getserverrequiredhackinglevel.md)

## NS.getServerRequiredHackingLevel() method

Returns the required hacking level of the target server.

**Signature:**

```typescript
getServerRequiredHackingLevel(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

The required hacking level of the target server.

## Remarks

RAM cost: 0.1 GB

